#include "track.h"

std::vector<MidiEventListener*> Track::listeners;

void Track::update(int curTick) {
	if(curEvent >= events().getSize()) {
		//std::cout << std::endl;+
		return;
	}
	
	while(curEvent < events().getSize() && curTick >= events()[curEvent].tick) {
		for(size_t i = 0;i < listeners.size();i++) {
			listeners[i]->reactEvent(myID,  events()[curEvent]);
		}
	
		curEvent++;
	}
}
