#include "base.h"

std::map<unsigned char, ALLEGRO_SAMPLE*> drumsamples;
std::string resourcePath;
int screenW, screenH;
int mouseX, mouseY;
bool buttonState = false;

StringManager *stringManager;

void abort_example(char const *format, ...)
{
   va_list args;
   va_start(args, format);
   vfprintf(stderr, format, args);
   va_end(args);
   exit(1);
}

void open_log(void)
{
}

void open_log_monospace(void)
{
}

void close_log(bool wait_for_user)
{
   (void)wait_for_user;
}

void log_printf(char const *format, ...)
{
   va_list args;
   va_start(args, format);
   #ifdef ALLEGRO_ANDROID
   char x[1024];
   vsnprintf(x, sizeof x, format, args);
   ALLEGRO_TRACE_CHANNEL_LEVEL("log", 1)(x);
   #else
   vprintf(format, args);
   #endif
   va_end(args);
}

